package Test;

import java.util.logging.Logger;
import javax.annotation.PostConstruct;
import javax.jws.WebMethod;
import javax.jws.WebService;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.PersistenceContext;

@WebService()
@Stateless()
@PersistenceContext(name = "persistence/eligtech", unitName = "eligtech")
public class TestEJBWebService {

    Logger LOG = Logger.getLogger(TestEJBWebService.class.getName());

    protected EntityManager entityManager;

    @PostConstruct
    protected void postConstruct() {
        EntityManagerFactory entityManagerFactory = Persistence.createEntityManagerFactory("eligtech");
        entityManager = entityManagerFactory.createEntityManager();

        CacheService dbcache = new CacheService();
        dbcache.synchronizeWithDb(entityManager);
    }


    @WebMethod(operationName = "operation")
    public boolean operation() throws Exception {
        LOG.info("some log message");
        return true;
    }
}
